The Wine development release 2.3 is now available.

What's new in this release (see below for details):
  - Obsolete wineinstall script removed.
  - More Direct3D command stream work.
  - A few more Shader Model 5 instructions.
  - Better underline rendering in DirectWrite.
  - Improved ODBC support on 64-bit.
  - Various bug fixes.

The source is available from the following locations:

  http://dl.winehq.org/wine/source/2.x/wine-2.3.tar.xz
  http://mirrors.ibiblio.org/wine/source/2.x/wine-2.3.tar.xz

Binary packages for various distributions will be available from:

  http://www.winehq.org/download

You will find documentation on http://www.winehq.org/documentation

You can also get the current source directly from the git
repository. Check http://www.winehq.org/git for details.

Wine is available thanks to the work of many people. See the file
AUTHORS in the distribution for the complete list.

----------------------------------------------------------------

Bugs fixed in 2.3 (total 41):

  13249  Putty 0.60: Yes/No/Cancel dialog moving with keyboard arrows
  20215  Extra mouse buttons do not work in Firefox
  23187  DeferWindowPos behaves wrong when invalid HWND
  25700  MessageBox does not display last word if string contains '&' (ampersand)
  33423  Cultures 3 multiplayer hangs while creating a game
  33717  regedit: Sorting registry keys on refreshing
  37070  Missing polygons on 3D objects in Revenant (ddraw:d3d_device7_GetClipStatus iface, clip_status stub)
  37390  Word 2007: crashes when choosing a font
  37976  Poedit 1.7.4 crashes on unimplemented function msvcr120.dll.??0_ReentrantBlockingLock@details@Concurrency@@QAE@XZ
  38354  Multiple games and applications need msvcr120.dll._except1 (Audacity 2.1.0, Tera Online)
  39895  MalwareBytes Anti-malware software needs msvcr100.dll.lldiv implementation
  40488  Revenant crashes when starting a new game
  40948  Multiple apps need api-ms-win-crt-locale-l1-1-0.dll.__initialize_lconv_for_unsigned_char
  40956  unimplemented function msvcr110.dll._Lock_shared_ptr_spin_lock when starting Zoner Photo Studio 18
  41394  3DMark2001se 'Car chase' speed regression on mesa/nouveau
  41408  Multiple applications crash on unimplemented function msvcp140.dll.??0task_continuation_context@Concurrency@@AAE@XZ
  41682  SPG-Verein 3.2 fails to install, needs advapi32.LookupSecurityDescriptorPartsA
  41725  Unimplemented function api-ms-win-crt-math-l1-1-0.dll._except1 (Starcraft 2 main menu, Firefox)
  41907  Necropolis: Unimplemented copy from WINED3D_LOCATION_TEXTURE_RGB to WINED3D_LOCATION_TEXTURE_RGB for depth/stencil buffers
  41928  Mortal Kombat X needs msvcr110.dll._get_dstbias
  42001  SC2 unimplemented function ucrtbase.dll._except1
  42129  Steam client - unimplemented function mfreadwrite.dll.MFCreateSourceReaderFromMediaSource
  42138  bug when running reaktor 6: "Unhandled exception: unimplemented function concrt140.dll.??0_ReentrantBlockingLock@details@Concurrency@@QAE@XZ called in 32-bit code (0x7b43bf1c)."
  42240  Kontact 5.6 needs concrt140.dll.??0_ReentrantBlockingLock@details@Concurrency@@QEAA@XZ
  42381  Final Fantasy V crashes
  42405  Drawn lines are too long.
  42426  ReportTool, part of SteuerSparErklaerung 2017 (german tax app) crashes on unimplemented function wlanapi.dll.WlanRegisterNotification
  42463  ZmLearn crash at startup: "Assertion 'm->state == STATE_PASSIVE' failed at pulse/mainloop.c:787, function pa_mainloop_prepare(). Aborting."
  42465  winhttp set_cookies() violates RFC6265 string comparison rules
  42469  GetOpenFileName should expand environment variables in lpstrInitialDir
  42483  Build for Ubuntu Precise fails because MPG123_IGNORE_INFOFRAME is undeclared
  42487  Free Devanagari font Samanata crashes during GPOS processing
  42490  Assertion failure when clicking boxes in altWinDirStat
  42504  Computemark 2.1 runs with Wine 2.2 but black benchmark window..
  42506  STALKER Shadow of Chernobyl crashes on startup
  42507  Final Fantasy XI Online: Intermittent crashes.
  42509  The Witcher 3 hangs the system on startup
  42511  winnt.h: invalid conversion from 'void*' to 'volatile char*'
  42516  Kholat hangs on splash screen
  42547  winex11.drv compilation fails on systems without XInput2 support
  42567  Acid Pro Trial 7.0e  fails to install

----------------------------------------------------------------

Changes since 2.2:

Alex Henrie (5):
      comctl32: Return TRUE from LVM_REDRAWITEMS with bad indices.
      user32: Translate WM_(NC)XBUTTONUP to WM_APPCOMMAND in DefWindowProc.
      user32: Include space for ampersands when determining MessageBox size.
      d3dx9/tests: Fix a copy-paste error in test_D3DXSHMultiply3.
      oledb32/tests: Fix a use-after-free in test_converttobyrefwstr.

Alexandre Julliard (1):
      include: Add back a typecast that's needed for C++.

Alistair Leslie-Hughes (7):
      oledb32: Support converting to DBTYPE_BYREF | DBTYPE_STR in DataConvert.
      dplayx/tests: Fix memory leaks (valgrind).
      include: Add mfreadwrite.idl.
      mfreadwrite: Add MFCreateSourceReaderFromMediaSource stub.
      dpnet: Handle unknown service GUID in enum_services_providers.
      dpwsockx: Implementation of GetCaps callback.
      oledb32/tests: Add tests for conversion to DBTYPE_STR.

Andreas Damm (1):
      odbc32: Made ODBC function signatures 64-bit compliant.

André Hentschel (30):
      widl: Initialize decoded_size.
      setupapi: Fix some more spec file entries.
      ntoskrnl.exe: Fix some spec file entries.
      wintrust: Fix CryptCATAdminAcquireContext spec file entry.
      shell32: Fix some more spec file entries.
      krnl386.exe16: Fix AllocSLCallback spec file entry.
      wininet: Fix some more spec file entries.
      dbgeng: Fix DebugConnect spec file entry.
      d3dx9_36: Fix some spec file entries.
      advpack: Fix some spec file entries.
      advapi32: Fix even more spec file entries.
      msi: Fix some more spec file entries.
      urlmon: Fix some spec file entries.
      ieframe: Fix IEWinMain spec file entry.
      xmllite: Fix CreateXmlReaderInputWithEncodingName spec file entry.
      serialui: Fix some spec file entries.
      propsys: Fix PSGetPropertyDescriptionListFromString spec file entry.
      odbccp32: Fix some spec file entries.
      hhcrtl.ocx: Fix some spec file entries.
      mscoree: Fix some spec file entries.
      gdiplus: Fix GdipCreateStreamOnFile spec file entry.
      user32: Fix some spec file entries.
      oleaut32: Fix OleLoadPictureEx spec file entry.
      kernel32: Fix some more spec file entries.
      mscms: Fix some spec file entries.
      msvcrt: Fix _CxxThrowException spec file entry.
      usp10: Fix ScriptGetProperties spec file entry.
      iphlpapi/tests: Test ScopeID only for IPv6.
      tapi32: Fix phoneInitializeExW spec file entry.
      d3dx9: Fix some spec file entries.

Aurimas Fišeras (1):
      po: Update Lithuanian translation.

Austin English (2):
      advapi32: Add LookupSecurityDescriptorPartsA/W stubs.
      tools: Remove wineinstall.

Bruno Jesus (15):
      ws2_32: Trace accept() error.
      ws2_32/tests: Add IP_HDRINCL tests.
      winemp3.acm: Fixes compilation for older mpg123 library versions.
      ws2_32: Cope with NULL address in connect() call.
      include: Add missing GetIfTable2 to netioapi.h.
      ws2_32/tests: Add a 2 buffer WSARecv test.
      winegstreamer: Avoid a magic number for empty offset.
      ws2_32: Discard MSG_PARTIAL as it is supported only in message protocols.
      ws2_32: Make it clear that bit flags are in hex when tracing.
      wined3d: Recognize Geforce GT 525M.
      wine.inf: Add RtlTryEnterCriticalSection to default RelayExclude.
      winmm: Cope with empty string in mciSendString.
      ws2_32: Turn SIO_GET_EXTENSION_FUNCTION_POINTER into a table.
      ws2_32/tests: Rework WSAStringToAddress tests.
      ws2_32: Fix WSAStringToAddress parsing for IPv6.

Carlo Bramini (1):
      msvcrt: Use return value of *printf() instead of calling strlen() and simplify code.

Chris Morgan (1):
      winex11: Wrap XInput2 dependent functions with appropriate #ifdef.

Eric Kohl (1):
      comctl32: Update the tooltip rectangle when a tool button is hidden.

Fabian Maurer (2):
      user32: Send WM_NCPAINT and WM_ERASEBKGND when window is shown.
      user32: Only send position-change messages when needed.

François Gouget (24):
      odbccp32: Add a __WINE_ALLOC_SIZE attribute to heap_alloc().
      netprofm: Add a __WINE_ALLOC_SIZE attribute to heap_alloc().
      msident: Add a __WINE_ALLOC_SIZE attribute to heap_alloc().
      hlink: Add __WINE_ALLOC_SIZE attributes to heap_xxx() functions.
      dnsapi: Add __WINE_ALLOC_SIZE attributes to heap_xxx() functions.
      user32/tests: Occasional spelling fixes in comments.
      msxml3: Add __WINE_ALLOC_SIZE attributes to heap_xxx() functions.
      dwrite: Add __WINE_ALLOC_SIZE attributes to heap_xxx() functions.
      urlmon: Add a __WINE_ALLOC_SIZE attribute to heap_alloc().
      jscript: Add __WINE_ALLOC_SIZE attributes to heap_xxx() functions.
      ieframe: Add __WINE_ALLOC_SIZE attributes to heap_xxx() functions.
      webservices: Add __WINE_ALLOC_SIZE attributes to heap_xxx() functions.
      wbemdisp: Simplify and standardize the heap_xxx() declarations.
      pdh: Add __WINE_ALLOC_SIZE attributes to heap_xxx() functions.
      oledb32: Add __WINE_ALLOC_SIZE attributes to heap_xxx() functions.
      taskschd: Simplify and standardize the heap_xxx() declarations.
      wine/test.h: Identify the process responsible for test summary lines.
      vbscript: Add __WINE_ALLOC_SIZE attributes to heap_xxx() functions.
      urlmon: Add __WINE_ALLOC_SIZE attributes to heap_xxx() functions.
      xmllite: Add __WINE_ALLOC_SIZE attributes to heap_xxx() functions.
      gdiplus: Simplify and standardize the heap_xxx() declarations.
      usp10: Add __WINE_ALLOC_SIZE attributes to heap_xxx() functions.
      wbemprox: Simplify and standardize the heap_xxx() declarations.
      wmiutils: Simplify and standardize the heap_xxx() declarations.

Gerald Pfeifer (1):
      propsys: Use snprintf in PROPVAR_ConvertFILETIME.

Guillaume Charifi (2):
      wined3d: Recognize SM5 dcl_hs_join_phase_instance_count instruction.
      wined3d: Recognize SM5 vJoinInstanceId register.

Hans Leidekker (6):
      winhttp: Parse cookie attributes.
      winhttp: Cookie attributes are case-insensitive.
      winhttp/tests: Fix two memory leaks.
      webservices: Enforce the heap limit.
      riched20/tests: Add a test to show that empty paragraphs get a font size declaration.
      msi: Implement MsiGetComponentPathExA/W.

Henri Verbeet (45):
      wined3d: Send light updates through the command stream.
      wined3d: Send light enable updates through the command stream.
      wined3d: Parse the shader version in shader_sm4_init().
      wined3d: Validate the SM4 token count (AFL).
      wined3d: Explicitly pass the byte-code format to shader creation functions (AFL).
      wined3d: Store used pixel shader input registers as a bitmap (AFL).
      wined3d: Validate WINED3DSPR_TEXCRDOUT indices in shader_get_registers_used() (AFL).
      wined3d: Validate ps 1.x sampler indices in shader_get_registers_used().
      usp10: Properly get glyph widths for OpenType fonts in ScriptPlaceOpenType().
      usp10: Introduce an enumeration for GPOS lookup types.
      usp10: Return the logical offset in GPOS_apply_PairAdjustment().
      usp10: Return the logical offset in GPOS_apply_ContextPos().
      usp10: Return the logical offset in GPOS_apply_ChainContextPos().
      usp10: Return the logical offset in GPOS_apply_lookup().
      usp10: Iterate in visual order in GPOS_apply_feature().
      wined3d: Return a BOOL from surface_load_location().
      wined3d: Return a failure if the location couldn't be loaded in surface_load_sysmem().
      wined3d: Check for depth/stencil surfaces in individual surface location loaders.
      wined3d: Merge surface_convert_depth_to_float() into wined3d_format_convert_color_to_float().
      wined3d: Support depth formats in wined3d_format_convert_from_float().
      wined3d: Copy the shader byte-code before initialising the front-end.
      wined3d: Validate WINED3D_LOCATION_BUFFER on WINED3D_MAP_DISCARD buffer maps.
      d2d1/tests: Add tests for drawing simple shapes.
      d2d1: Create open, hollow geometry in d2d_d3d_render_target_DrawLine().
      wined3d: Support downloading depth textures in surface_load_sysmem().
      wined3d: Support uploading depth textures in surface_load_texture().
      wined3d: Get rid of the depth/stencil FIXME in texture_resource_sub_resource_unmap().
      wined3d: Implement depth fills in the CPU blitter.
      ddraw/tests: Test depth fill results in test_color_fill().
      wined3d: Get rid of some redundant "texture" accesses in texture_resource_sub_resource_map().
      wined3d: Do not record the GL primitive type in stateblocks.
      wined3d: Pass the primitive type to wined3d_cs_emit_draw().
      wined3d: Use the command stream state in device_clear_render_targets().
      wined3d: Use the command stream state in wined3d_cs_exec_clear().
      usp10: Introduce an enumeration for GSUB lookup types.
      wined3d: Use the command stream state in wined3d_cs_exec_draw().
      wined3d: Use the command stream state in wined3d_cs_exec_dispatch().
      wined3d: Use the command stream state in swapchain_gl_present().
      wined3d: Get rid of an unneeded context_release() in swapchain_init().
      wined3d: Send swapchain context destruction through the command stream.
      wined3d: Send swapchain context creation through the command stream.
      ddraw: Avoid destroying ddraw objects from DllMain().
      usp10: Make feature tables const.
      usp10: Use memmove() in GSUB_apply_LigatureSubst().
      usp10: Use USP10_FindGlyphInLogClust() in UpdateClusters().

Hugh McMaster (3):
      regedit/tests: Test import with non-standard registry file headers.
      reg/tests: Test import with non-standard registry file headers.
      reg/tests: Add some line concatenation tests.

Huw D. M. Davies (12):
      widl: Add missing width and alignment for VARIANT.
      dsound: Correctly update buflen.
      dsound: Merge two identical allocation blocks.
      dsound: Allow enough space for multi-channel frames.
      oledb32: Fixed length calculation in conversion to DBTYPE_STR.
      oledb32: Fix conversion of strings with embedded '\0' to DBTYPE_STR | DBTYPE_BYREF.
      dsound: Don't propagate writepos in the non-WRITEPRIMARY case - it's unused.
      dsound: Use frame rather than byte counts to clarify the mixing.
      dsound: Pass sample count to the normfunction.
      riched20: Write the char format for the end-of-paragraph marker.
      riched20: Remove a hack that should be longer be needed.
      riched20: Add linefeeds after the colortbl and generator groups.

Jacek Caban (31):
      msvcrt: Added lldiv implementation.
      ole32: Added generic class factory implementation and use it for file moniker.
      ole32: Use generic class factory for item moniker.
      ole32: Use generic class factory for anti moniker.
      ole32: Use generic class factory for composite moniker.
      ole32: Use generic class factory for class moniker.
      ole32: Use generic class factory for pointer moniker.
      ole32: Use generic class factory for StdComponentCategoriesMgr object.
      server: Removed no longer needed user_arg from irp_call struct.
      server: Allow creating async object not associated with a queue.
      server: Create async objects in read and write request handlers.
      server: Create async object in register_async handler.
      server: Create async object in ioctl request handler.
      server: Create async object in flush request handler.
      server: Pass existing async object to fd_queue_async.
      server: Introduced new pipe_end struct containing common parts of pipe_client and pipe_server.
      server: Moved server-independent parts of pipe_server_flush into separated function.
      uiautomationcore: Added stub dll.
      uiautomationcore: Added UiaClientsAreListening stub.
      ole32: Added GlobalOptions object stub implementation.
      shlobj.h: Added SHGetPathFromIDListEx declaration.
      shlwapi: Fixed error handling in StrRetToBufW.
      shell32: Added SHGetPathFromIDListEx implementation.
      wininet: Improved netconn_drain_content.
      secur32: Added support for SECPKG_ATTR_ENDPOINT_BINDINGS in schannel.
      psapi.h: Added support for PSAPI_VERSION version 2.
      dbghelp: Removed no longer needed psapi import.
      dxdiagn: Removed no longer needed psapi import.
      taskkill: Removed no longer needed psapi import.
      taskmgr: Removed no longer needed psapi import.
      winedbg: Removed no longer needed psapi import.

Jetro Jormalainen (2):
      dinput: Keep username same between device objects.
      dinput: Handle username in EnumDevicesBySemantics.

Józef Kucia (69):
      d3d11/tests: Properly check if raw buffers are supported.
      d3d8: Allocate WINED3DCAPS on stack.
      d3d9: Allocate WINED3DCAPS on stack.
      wined3d: Expose double precision shader capability in WINED3DCAPS.
      d3d11: Implement CheckFeatureSupport() for D3D11_FEATURE_DOUBLES.
      wined3d: Fix swizzle for ld_raw instruction.
      wined3d: Get rid of shader_glsl_get_version_declaration().
      wined3d: Request compatibility profile in GLSL for legacy contexts.
      d3d8: Get rid of WINECAPSTOD3D8CAPS() macro.
      d3d8: Merge fixup_caps() into d3dcaps_from_wined3dcaps().
      d3d9: Get rid of WINECAPSTOD3D9CAPS() macro.
      d3d9: Merge filter_caps() into d3dcaps_from_wined3dcaps().
      wined3d: Get rid of "tmp" variables in wined3d_adapter_init_limits().
      wined3d: Store actual GL_MAX_TEXTURE_IMAGE_UNITS in "fragment_samplers".
      wined3d: Check if texture unit mapping is required in context_update_tex_unit_map().
      wined3d: Load unordered access resources before binding shader resources.
      wined3d: Do not try to invalidate compute states for freshly created contexts.
      wined3d: Do not read rev_tex_unit_mapping for texture units >= MAX_COMBINED_SAMPLERS.
      wined3d: Allocate "context->texture_type" dynamically.
      wined3d: Introduce wined3d_device_set_cs_resource_view().
      d3d11: Implement d3d11_immediate_context_CSSetShaderResources().
      wined3d: Introduce wined3d_device_set_cs_sampler().
      d3d11: Implement d3d11_immediate_context_CSSetSamplers().
      wined3d: Allocate texture binding set for compute pipeline.
      wined3d: Load sampler bindings for compute shaders.
      wined3d: Implement compute shader resource binding.
      wined3d: Fix return type for surface_load_texture().
      wined3d: Fix handling of SM4+ integer registers.
      wined3d: Handle structured UAV declarations.
      wined3d: Implement SM5 store_structured instruction.
      wined3d: Pass structure byte stride to wined3d_buffer_create().
      wined3d: Implement structured buffer views.
      d3d11/tests: Add test for compute shader input registers.
      wined3d: Extract common code to validate_shader_resource_view().
      wined3d: Use string_buffer_sprintf() in shader_glsl_sprintf_cast().
      wined3d: Record sampler usage for ld_structured.
      wined3d: Handle structured resource declarations.
      wined3d: Implement ld_structured instruction.
      wined3d: Update UAV read bitmask for ld_raw and ld_structured instructions.
      wined3d: Always use correct sampler bind index for ld_raw and ld_structured.
      d3d11/tests: Add test for ld_structured instruction.
      wined3d: Allow swizzle on vThreadIDInGroupFlattened register.
      wined3d: Use GL_ARB_shading_language_420pack for swizzle operations on scalars.
      wined3d: Implement [imm_]atomic_{umax, umin} instructions for unsigned integers.
      wined3d: Implement [imm_]atomic_{imax, imin} instructions for signed integers.
      wined3d: Do not crash when attempting to issue draw call with no attachments.
      wined3d: Pass wined3d_caps_gl_ctx to driver quirk match() function.
      wined3d: Add quirk for Nvidia viewport subpixel bits bug.
      wined3d: Implement atomic instructions on structured buffer memory.
      wined3d: Introduce helper function to reserve memory for arrays.
      wined3d: Handle raw thread group shared memory declarations.
      wined3d: Handle structured thread group shared memory declarations.
      wined3d: Add shader_reg_maps_add_tgsm() helper function.
      wined3d: Add support for ld_raw on thread group shared memory.
      wined3d: Rename shader_glsl_ld_buffer() to shader_glsl_ld_raw_structured().
      wined3d: Add support for atomic operations on thread group shared memory.
      wined3d: Add support for store_{raw, structured} on thread group shared memory.
      wined3d: Implement SM5 sync instruction.
      wined3d: Add ARB_shader_storage_buffer_object extension.
      d3d11/tests: Add test for thread group shared memory.
      wined3d: Don't leak texture in wined3d_unordered_access_view_destroy_object().
      wined3d: Add support for atomic min/max operations on thread group shared memory.
      wined3d: Add FIXME() for unhandled UAV flags.
      wined3d: Add ARB_shader_atomic_counters extension.
      wined3d: Implement SM5 imm_atomic_alloc instruction.
      wined3d: Implement SM5 imm_atomic_consume instruction.
      wined3d: Implement UAV counters.
      ntdll/tests: Add test for flushing file with FILE_APPEND_DATA access.
      ntdll: Fix NtFlushBuffersFile() for files with FILE_APPEND_DATA access.

Kim Malmo (1):
      po: Update Norwegian translation.

Lauri Kenttä (3):
      po: Update Finnish translation.
      readme: Update Finnish translation.
      readme: Update Swedish translation.

Louis Lenders (2):
      httpapi: Add stub for HttpCreateServerSession.
      wmvcore: Add version resource.

Marcin Mikołajczak (1):
      po: Updated Polish translation.

Matteo Bruni (3):
      wined3d: Don't require a separate sRGB GL texture if the format doesn't support sRGB reads.
      wined3d: Fix querying texture-related limits on core profile.
      ddraw: Get rid of multiple interfaces from vertex buffer objects.

Michael Müller (1):
      wininet: Handle query parameters for HTTPS urls in InternetOpenUrlW.

Nikolay Sivov (25):
      regedit: Sort each of top level branches separately.
      oledlg: Use W-functions to access window property.
      explorerframe: Use W-functions to access window property.
      include: Fix PROPSHEETPAGE_V4_SIZE definition.
      comctl32/tests: Some tests for property page initialization.
      po: Update Russian translation.
      comdlg32: Expand initial directory path for file open dialog.
      comdlg32: Consolidate file dialog initialization to avoid duplication.
      comdlg32: Use GetPropW() to get to file dialog data.
      usp10: Ignore device tables with invalid delta format.
      dwrite/tests: Test runHeight underline attribute with all available fonts.
      dwrite: Set runHeight attribute for underlines.
      d2d1: Use DrawLine() to draw underlines.
      dxgi: Fix naming in error traces.
      ddraw: Remove references to IWineD3DDevice that doesn't exist anymore.
      d3d8: Fix debug messages.
      d2d1: Support strikethrough in DrawText()/DrawTextLayout().
      usp10: Filter out DeltaFormat == 0 too, valid range is [1, 3].
      shell32: Implement SHGetPropertyStoreFromParsingName() as a wrapper over IShellItem2.
      gdiplus/tests: Fix region leak (Valgrind).
      comctl32/propsheet: Enforce minimal PROPSHEETPAGE structure size when creating a page.
      comctl32/propsheet: Implement PSPCB_ADDREF/PSPCB_RELEASE notifications.
      xmllite/reader: Fix writing back resolved character reference value.
      xmllite/writer: Implement WriteString().
      xmllite/writer: Fix Release() trace.

Paul Gofman (2):
      ntdll/tests: Add test for NtFlushBuffersFile error conditions.
      ntdll: NtFlushBuffersFile should fail if the file handle has no write access.

Piotr Caban (11):
      ucrtbase: Add __initialize_lconv_for_unsigned_char implementation.
      msvcrt: Use charmax to initialize lconv fields.
      msvcrt: Add __ExceptionPtrCopyException implementation.
      msvcr100: Add _ReentrantBlockingLock class implementation.
      msvcr100: Add _NonReentrantBlockingLock class implementation.
      msvcr100: Add _ReentrantBlockingLock tests.
      msvcp110: Add _Lock_shared_ptr_spin_lock implementation.
      msvcr110: Add _Lock_shared_ptr_spin_lock implementation.
      msvcr100: Use InterlockedDecrement in SpinWait::_SpinOnce.
      msvcr: Add _get_dstbias implementation.
      msvcp140: Add task_continuation_context constructor implementation.

Sebastian Lackner (1):
      wined3d: Clear device state in wined3d_device_reset.

Stefan Dösinger (5):
      d3d8/tests: Allow a higher slop for test_updatetexture.
      d3d9/tests: Allow a higher slop for test_updatetexture.
      d3d8/tests: Work around a r500 Windows point sprite bug.
      d3d9/tests: Work around a r500 Windows point sprite bug.
      d3d9/tests: AMD r500 needs dummy texture output from vertex shaders for point sprites to work.

Thomas Faber (3):
      winex11: Avoid unused variable warning when building without LIBGL.
      ole32: Zero STGMEDIUM before calling IDataObject::GetData.
      msacm32: Free session driver instance using the correct heap.

Zebediah Figura (5):
      compobj.dll16: Implement CoGetClassObject16().
      storage.dll16: Fix an error in a comment.
      storage.dll16: Fix get_nth_next_small_blocknr.
      mciavi32: Report version as 1.1.
      winmm/tests: Test for avivideo driver version.

--
Alexandre Julliard
julliard@winehq.org
